/* PrismJS 1.24.1
https://prismjs.com/download.html#themes=prism&languages=css */
/**
 * prism.js default theme for JavaScript, CSS and HTML
 * Based on dabblet (http://dabblet.com)
 * @author Lea Verou
 */

code[class*="language-"],
pre[class*="language-"] {
	color: #CE9178;
	background: none; 
	font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
	font-size: 1em;
	text-align: left;
	white-space: pre;
	word-spacing: normal;
	word-break: normal;
	word-wrap: normal;
	line-height: 1.5;

	-moz-tab-size: 4;
	-o-tab-size: 4;
	tab-size: 4;

	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	hyphens: none;
}

pre[class*="language-"]::-moz-selection, pre[class*="language-"] ::-moz-selection,
code[class*="language-"]::-moz-selection, code[class*="language-"] ::-moz-selection {
	text-shadow: none;
	background: #b3d4fc;
}

pre[class*="language-"]::selection, pre[class*="language-"] ::selection,
code[class*="language-"]::selection, code[class*="language-"] ::selection {
	text-shadow: none;
	background: #b3d4fc;
}

@media print {
	code[class*="language-"],
	pre[class*="language-"] {
		text-shadow: none;
	}
}

/* Code blocks */
pre[class*="language-"] {
	padding: 30px;
	margin: .5em 0;
	overflow: auto;
	border-radius: 5px 5px 5px 5px;
}

:not(pre) > code[class*="language-"],
pre[class*="language-"] {
	background: #1E1E1E;
}

/* Inline code */
:not(pre) > code[class*="language-"] {
	padding: .1em;
	border-radius: .3em;
	white-space: normal;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
	color: #6A9955;
}

.token.punctuation {
	color: #fffbfb;
}

.token.namespace {
	opacity: .7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.deleted {
	color: #9CDCFE;
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.inserted {
	color: #D7BA7D;
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string {
	color: #9a6e3a;
	/* This background color was intended by the author of this theme. */
	background: hsla(0, 0%, 100%, .5);
}

.token.atrule,
.token.attr-value,
.token.keyword {
	color: #07a;
}

.token.function,
.token.class-name {
	color: #DD4A68;
}

.token.regex,
.token.important,
.token.variable {
	color: #e90;
}

.token.important,
.token.bold {
	font-weight: bold;
}
.token.italic {
	font-style: italic;
}

.token.entity {
	cursor: help;
}
.task-bar {
    position: absolute;
    top: 0px;
    height: 13px;
    background:#504d4d;
    width: 100%;
    left: 0px;
    border-radius: 5px 5px 0px 0px;
}
.code_demo .task-bar span.dot,
.code_demo .task-bar::before, 
.code_demo .task-bar::after {
    position: absolute;
    content: "";
    height: 8px;
    width: 8px;
    border-radius: 50%;
    top: 3px;
    left: 20px;
}
.code_demo .task-bar::before {
    left: 36px;
    background: yellow;
}
.code_demo .task-bar::after {
    left: 52px;
    background: green;
}
.code_demo .task-bar span.dot {
    background: #EE5913;
}
